Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi.status
Interface DeploymentStatus

public interface DeploymentStatus

The DeploymentStatus interface provides information about the progress status of a deployment action.

Method Summary
`ActionType` | `getAction()` Retrieve the deployment ActionType for this event.
`CommandType` | `getCommand()` Retrieve the deployment CommandType of this event.
`java.lang.String` | `getMessage()` Retrieve any additional information about the status of this event.
`StateType` | `getState()` Retrieve the StateType value.
`boolean` | `isCompleted()` A convience method to report if the operation is in the completed state.
`boolean` | `isFailed()` A convience method to report if the operation is in the failed state.
`boolean` | `isRunning()` A convience method to report if the operation is in the running state.

Method Detail

### getState

    public StateType getState()

  Retrieve the StateType value.

  Returns:
    the StateType object

### getCommand

    public CommandType getCommand()

  Retrieve the deployment CommandType of this event.

  Returns:
    the CommandType Object

### getAction

    public ActionType getAction()

  Retrieve the deployment ActionType for this event.

  Returns:
    the ActionType Object

### getMessage

    public java.lang.String getMessage()

  Retrieve any additional information about the status of this event.

  Returns:
    message text

### isCompleted

    public boolean isCompleted()

  A convience method to report if the operation is in the completed state.

  Returns:
    true if this command has completed successfully

### isFailed

    public boolean isFailed()

  A convience method to report if the operation is in the failed state.

  Returns:
    true if this command has failed

### isRunning

    public boolean isRunning()

  A convience method to report if the operation is in the running state.

  Returns:
    true if this command is still running

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.